import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorHistoryServiceRel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface MonitorHistoryServiceRelCU extends ConditionUtil<MonitorHistoryServiceRelCU> {
    ID: FieldUtil<MonitorHistoryServiceRelCU>;
    HISTORY_ID: FieldUtil<MonitorHistoryServiceRelCU>;
    SERVICE_GROUP_ID: FieldUtil<MonitorHistoryServiceRelCU>;
    CREATE_TIME: FieldUtil<MonitorHistoryServiceRelCU>;
    UPDATE_TIME: FieldUtil<MonitorHistoryServiceRelCU>;
    SERVICE_PROJECT_ID: FieldUtil<MonitorHistoryServiceRelCU>;
}
declare class MonitorHistoryServiceRelMU extends TableUtilImpl<MonitorHistoryServiceRelCU, MonitorHistoryServiceRel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorHistoryServiceRelCU;
    static get ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    static get HISTORY_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    static get SERVICE_GROUP_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    static get CREATE_TIME(): FieldUtil<MonitorHistoryServiceRelCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorHistoryServiceRelCU>;
    static get SERVICE_PROJECT_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    get ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    get HISTORY_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    get SERVICE_GROUP_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
    get CREATE_TIME(): FieldUtil<MonitorHistoryServiceRelCU>;
    get UPDATE_TIME(): FieldUtil<MonitorHistoryServiceRelCU>;
    get SERVICE_PROJECT_ID(): FieldUtil<MonitorHistoryServiceRelCU>;
}
export { MonitorHistoryServiceRelMU, MonitorHistoryServiceRelCU };
